@import '../../../assets/styles/vars.css';

.tooltip-anchor{
  position: relative;
  & .tooltip{
    position: absolute;
    display: block;
    z-index: 22;
    width: auto;
    border: 1px solid #E9EDEF;
    border-radius: 4px;
    background-color: #FFFFFF;
    box-shadow: -1px -1px 6px 0 rgba(157, 170, 177, 0.2);
    white-space: nowrap;
    padding: 5px 10px;
    font-size: 14px;
    line-height: 23px;
    text-align: center;
    top: 0;
    left: 0;
    transform: translate(calc(-50% + 16px), calc(100% + 16px));
    opacity: 0;
    transition: opacity 300ms;
    &:before {
      content: '';
      display: block;
      position: absolute;
      top: -10px;
      left: 50%;
      border-right: 4px solid transparent;
      border-bottom: 10px solid rgba(201,210,215,.9);
      border-left: 4px solid transparent;
    }
    &:after {
      content: '';
      display: block;
      position: absolute;
      top: -7px;
      left: 50%;
      border-right: 4px solid transparent;
      border-bottom: 10px solid #fff;
      border-left: 4px solid transparent;
    }
  }
  &:hover {
    & .tooltip {
      opacity: 1;
    }
  }
}

.capitalize {
  text-transform: capitalize;
}

